Name:           lorax-templates-rhel
Version:        11.0
Release:        10%{?dist}
Summary:        RHEL build templates for lorax and livemedia-creator

License:        GPLv2+
%if 0%{?eln}
URL:            https://src.fedoraproject.org/rpms/lorax-templates-rhel/
%else
URL:            https://gitlab.com/redhat/centos-stream/rpms/lorax-templates-rhel/
%endif
BuildArch:      noarch

# This tarball is generated from the contents of this dist-git repository
# by running the command `make tar`.
# See README for full details of how to update this package
Source0:        lorax-templates-rhel-11.0-10.tar.gz

# Required for the template branding support
Requires:       lorax >= 34.9.1

Provides: lorax-templates = %{version}-%{release}

# Where are these supposed to end up?
%define templatedir %{_datadir}/lorax/templates.d/80-rhel

%description
RHEL-specific Lorax templates for creating the boot.iso and live isos are
placed in %{templatedir}

%prep
%setup

%build
# nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{templatedir}
cp -a 80-rhel/* $RPM_BUILD_ROOT/%{templatedir}

%files
%dir %{templatedir}
%{templatedir}/*

%changelog
* Wed Jun 18 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 11.0-10
- Switch back to wget1-wget (yselkowi)

* Tue Jun 17 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 11.0-9
- Set ppc64le default boot to test the media (bcl)
  Resolves: RHEL-93171
- Add a boot menu for fips=1 (bcl)
  Resolves: RHEL-91929
- templates.d: Remove libdir variable from templates (bcl)
- runtime-cleanup: Move rpm database cleanup to the end (bcl)

* Wed May 14 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 11.0-8
- runtime-postinstall: Remove root password (bcl)
  Resolves: rhbz#2364082
- config_files: Drop efi suffix from linuxefi and initrdefi in grub2-efi.cfg (bcl)
- runtime-install: only install amd-ucode-firmware on x86_64 (awilliam)
- runtime-install: exclude crust-firmware (awilliam)
- runtime-install: resolve differences with upstream (yselkowi)
- runtime-cleanup: drop more video and audio firmwares (awilliam)
- runtime-postinstall: allow pipewire to run as root (awilliam)
  Resolves: rhbz#2355207
- runtime-postinstall: Remove systemd-gpt-auto-generator (bcl)
  Resolves: rhbz#2350605
- Remove sbin usage (bcl)

* Mon Feb 24 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 11.0-7
- runtime-cleanup: Leave the stat binary (bcl)
  Resolves: RHEL-79945

* Wed Nov 20 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 11.0-6
- runtime-cleanup: update glibc library removals (yselkowi)
- Update template for anaconda webui to start as user (adamkankovsky)
- templates: Drop dnf install (bcl)

* Thu Oct 10 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 11.0-5
- runtime-cleanup: fonttosfnt no longer installed (bcl)
  Resolves: RHEL-54717
- Remove xorg leftovers (jstodola)
  Resolves: RHEL-45879
- Drop Tiger VNC from templates (mkolman)
  Resolves: RHEL-38741

* Thu Jul 18 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 11.0-4
- runtime-cleanup: Prepare for the sbin merge (zbyszek)

* Wed Jul 17 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 11.0-3
- spec: Update URL to point to downstream projects (yselkowi)
- kernel: Keep nvram module (bcl)
  Resolves: rhbz#2050878
  Resolves: RHEL-36443
- kernel: Keep hid-multitouch module (bcl)
  Resolves: rhbz#1670182
  Resolves: RHEL-49546
- tests: Name the test iso RHEL 11 (yselkowi)

* Thu Jul 04 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 11.0-2
- firmware: Exclude installation of audio firmware (bcl)
  Related: RHEL-44311
- Reconcile differences with C10S (yselkowi)
- runtime-cleanup: Cleanup firmware moved to brcmfmac-firmware (bcl)
  Related: RHEL-44311
- runtime-cleanup: Cleanup firmware moved to intel-audio-firmware (bcl)
  Related: RHEL-44311
- runtime-cleanup: Cleanup firmware moved to dvb-firmware (bcl)
  Related: RHEL-44311
- runtime-cleanup: qcom firmware is now in the qcom-firmware package (bcl)
  Related: RHEL-44311
- Makefile: Add PREV support for clog (yselkowi)
  Related: RHEL-40021
- git-changelog: Change line length limit to 120 (bcl)
  Related: RHEL-40021
- README: Update README with note about PREV= (bcl)
  Related: RHEL-40021
- Remove libvisual from runtime-cleanup as it's being removed from RHEL 10 (tpopela)
  Resolves: RHEL-39949
- tests: Do not use fedora.repo for the test build (bcl)
  Resolves: RHEL-40021
- Drop libreport from templates (mkolman)
  Resolves: RHEL-39794
- Adjust Lorax templates for the Xorg to Wayland switch (mkolman)
  Resolves: RHEL-38740
- tools: Add support for Jira RHEL-XXX issues (bcl)
  Related: RHEL-22656
- Makefile: Fix clog target (bcl)
  Related: RHEL-22656
- Drop gdisk from the boot.iso (bcl)
  Resolves: RHEL-38339
- tests: Name the test iso RHEL 10 instead of 9 (bcl)
  Resolves: RHEL-38199

* Tue Mar 26 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 11.0-1
- Overdue post-branching version bump
- Drop shim-ia32 and grub2-efi-ia32-cdboot

* Thu Mar 21 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 10.0-43
- drop big endian ppc/ppc64 support files
- drop Apple/HFS bits from the templates
- lorax: Write package lists in run_transaction
- Revert "Add blacklist_exceptions to multipath.conf"
- runtime-postinstall: Remove libuser.conf
- runtime-install: only pull in qcom-firmware on aarch64
- runtime-cleanup: Change how logo pixmaps is cleaned up
- runtime-cleanup.tmpl: fix typo 'gschadow'
- runtime-postinstall: Turn off lvm monitoring
- Remove some unneccessary storage packages from runtime-install
- runtime-cleanup: anaconda's new interface needs stdbuf
- aarch64: Escape volid before using it
- s390x: Escape volid before using it
- runtime-install: drop kdump-anaconda-addon
- runtime-install: Update font packages
- runtime-cleanup: Update to cleanup more

* Mon Mar 18 2024 Stephen Gallagher <sgallagh@redhat.com> - 10.0-42
- runtime-install: Add prefixdevname

* Sun Jan 14 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 10.0-41
- Replace wget with wget2

* Wed Dec 13 2023 Stephen Gallagher <sgallagh@redhat.com> - 10.0-40
-  ()

* Fri Sep 08 2023 Adam Williamson <awilliam@redhat.com> - 10.0-39
- runtime-install: install dosfstools to fix UEFI install

* Wed Aug 16 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 10.0-38
- Drop packages not in RHEL

* Tue Jul 25 2023 Stephen Gallagher <sgallagh@redhat.com> - 10.0-37
- Install rsvg-pixbuf-loaders to the install environment

* Fri Jun 09 2023 Stephen Gallagher <sgallagh@redhat.com> - 10.0-35
-  ()

* Fri Jun 09 2023 Stephen Gallagher <sgallagh@redhat.com> - 10.0-34
-  ()

* Fri Jun 09 2023 Stephen Gallagher <sgallagh@redhat.com> - 10.0-33
-  ()

* Fri Jun 09 2023 Stephen Gallagher <sgallagh@redhat.com> - 10.0-32
-  ()

* Fri Jun 09 2023 Stephen Gallagher <sgallagh@redhat.com> - 10.0-31
- Drop system-storage-manager

* Fri Jun 09 2023 Stephen Gallagher <sgallagh@redhat.com> - 10.0-28
- Drop jfs-utils

* Fri Jun 09 2023 Stephen Gallagher <sgallagh@redhat.com> - 10.0-27
- Drop uboot-tools

* Fri Jun 09 2023 Stephen Gallagher <sgallagh@redhat.com> - 10.0-26
- Drop b43-openfwwf

* Fri Jun 09 2023 Stephen Gallagher <sgallagh@redhat.com> - 10.0-25
- Re-sync templates from Fedora

* Thu Jun 08 2023 Stephen Gallagher <sgallagh@redhat.com> - 10.0-24
- Replace several fonts

* Mon Mar 27 2023 Stephen Gallagher <sgallagh@redhat.com> - 10.0-23
- Update for Noto CJK Variable Fonts

* Fri Feb 17 2023 Stephen Gallagher <sgallagh@redhat.com> - 10.0-22
- Strip some things from gtk4

* Wed Dec 14 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-21
- Sync from CentOS Stream 9
- On ppc64le Use core.elf from grub2 package (bcl)
  Resolves: rhbz#2143422
- grub2 1:2.06-51 now ships a signed core.elf that includes all the needed
  modules, use that instead of making an unsigned one.

* Tue Oct 18 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-20
- Sync from Fedora
- Commit (502cc01d9a8a8c6626e83ff7ea7f7853cce92df5)
- Drop 32-bit ARM and x86 support
- Drop anaconda auditd replacement
- Update kdump addon package name

* Thu Sep 15 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-19
-  ()

* Thu Jun 23 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-18
-  ()

* Thu Jun 23 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-18
- Add virtual Provides: lorax-templates

* Fri Jun 17 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-17
- Complete removal of syslinux

* Thu Jun 16 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-16
- Fix typo

* Thu Jun 16 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-15
- Pull in the latest changes from Fedora
- Use grub2 instead of syslinux for all x86 systems

* Thu Jun 16 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-14
- Exclude python-virt-firmware from pkginstall

* Thu Apr 07 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-13
- Re-sync from CentOS Stream 9

* Tue Mar 08 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-12
- Don't try to install packages that don't exist in ELN
  - redhat-release-eula
  - libreport-rhel-anaconda-bugzilla

* Tue Mar 08 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-11
- Don't move the restart-anaconda file

* Tue Mar 08 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-10
- Re-sync from CentOS Stream 9

* Mon Feb 07 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-9
- Update to new Malaysian font

* Mon Feb 07 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-8
- Re-sync from CentOS Stream 9

* Wed Jan 26 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-7
- Re-sync from CentOS Stream 9

* Tue Jan 04 2022 Stephen Gallagher <sgallagh@redhat.com> - 10.0-6
- Update runtime-cleanup.tmpl to handle changes in sound support

* Tue Nov 30 2021 Stephen Gallagher <sgallagh@redhat.com> - 10.0-5
- Regenerate tarball correctly

* Mon Nov 29 2021 Stephen Gallagher <sgallagh@redhat.com> - 10.0-4
- Re-sync from CentOS Stream 9

* Thu Jul 15 2021 Stephen Gallagher <sgallagh@redhat.com> - 10.0-3
- Drop prefixdevname

* Wed Jul 14 2021 Stephen Gallagher <sgallagh@redhat.com> - 10.0-2
- Re-sync from CentOS Stream 9

* Mon May 10 2021 Stephen Gallagher <sgallagh@redhat.com> - 10.0-1
- First release of lorax-templates-rhel for ELN
